Subject: Re: bug#7228: coreutils-8.6 sort-float failure on ppc

From: "Gilles Espinasse" <[email-masked]>
Date: Sat, 16 Oct 2010 23:15:45 +0200

----- Original Message ----- 
From: "Jim Meyering" <[email-masked]>
To: "Gilles Espinasse" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, October 16, 2010 9:14 PM
Subject: Re: bug#7228: coreutils-8.6 sort-float failure on ppc

> Gilles Espinasse wrote:
> > Just tested 8.6 on linux glibc-2.11.1/gcc-4.4.5 LFS build on x86, sparc
and
> > ppc
> >
> > First a good news is that on sparc (32-bits), 8.6 test suite is now
passing
> > I didn't report yet a failure on misc/stty which was
> > Failure was
> > + stty -icanon
> > stty: standard input: unable to perform all requested operations
>
> Is that consistently reproducible?
> If so, you might want to investigate, but it's probably not a big deal.
>
Each time I run the 8.5 test suite on sparc.
Not so easy to reproduce and that disappear now running the test suite with
8.6.
I was testing that week looking how to reproduce.
At  the 5 attempts I try entering the LFS compilation chroot with 8.5, when
I try to run  'stty -icanon', it fail the first time but not after the first
try. When I reboot, it fail again the first time and not later. I looked
with strace and did not see a reason why the first attempt fail and not the
second.

> > The bad news is that it fail now on ppc in FAIL: misc/sort-float
> >
It's ok now with the patch on ppc.
It's ppc32, not 64 (gcc have --with-long-double-128 option if that matter)

Gilles